---
title: Person
summary: View/Edit Person 
img:
pageid: app_form_person
domains: [App]
topics: [Examples]
date:   2023-03-27
draft:  false
weight: 100
---

cyberscopes example site - view / edit person (user) data.

{{< pv/data name="person" >}}

  {{< pv/data-tabs >}}

  First Name: {{< pv/data-field-line name="firstname" attrs="autofocus" >}}
  Last Name: {{< pv/data-field-line name="lastname" >}}
  Email: {{< pv/data-field-line name="email" default="hm@cy55.de" >}}

  {{< pv/data-buttons include="view" >}}

<br>
  {{< pv/data-display
        expr="`${data.firstname} ${data.lastname}`.trim() || '???'" >}}
  {{< pv/data-display expr="state.id ? ` (Id: ${state.id})` : ''" >}} 
<br>
  {{< pv/link >}}
    Reload page with id {{< pv/data-display expr="state.id" >}}
  {{< /pv/link >}}

{{< /pv/data >}}

{{< pv/debug >}}

